Bug 11734 - KPPP can't start if user is not root
KPPP can't start if user is not root
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kdenetwork (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-29 13:15 EDT by Alen Rusin
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-03 05:13:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alen Rusin 2000-05-29 13:15:12 EDT
I'm using Red Hat Linux 6.2 and KDE. I installed KPPP and it's running
without problems when I'm logged in as root. However, when I log under any
other username and run KPPP, I get prompt to enter root password. Whatever
I do, enter this password or not, nothing happens: I can't get Connect
dialog, and I'm not getting any error message.

Why it's happening? What I have to do to enable ppp access to ordinary
users and to avoid root password entering at the beginning?
Comment 1 Alen Rusin 2000-05-30 10:21:59 EDT
May 30, 2000
I managed to invoke kppp by changing /etc/security/console.apps/kppp text file.
I changed this line:

session=false

to true and after that non-root users was able to get input for root password.
To get rid of input dialog you should try

rm /usr/bin/kppp
chmod u+s /usr/sbin/kppp
ln -s /usr/sbin/kppp usr/bin/kppp

Alen
Comment 2 Nalin Dahyabhai 2000-07-03 05:13:01 EDT
Reassigning to kdenetwork component.
Comment 3 Ngo Than 2000-09-15 09:38:14 EDT
It's fixed in Red Hat 7.0

Note You need to log in before you can comment on or make changes to this bug.